package com.purui.prims.auth.authentication.persistence.repository;

import com.purui.prims.auth.authentication.persistence.dataobject.RoleDO;
import com.purui.prims.auth.authentication.persistence.dataobject.UserDO;

import java.util.List;

public interface UserRepository {

    List<UserDO> getUserList();

    void addUser(UserDO userDO);

    void updateUser(UserDO userDO);

    UserDO getUser(String name);

    List<UserDO> getUserByRoleId(Integer orgId);

    List<RoleDO> getRoles();

    RoleDO getRole(Integer id);
}
